package config

import (
	"path"

	ocmsc "git.loafle.net/overflow/commons-go/model/sensorconfig"
	"strings"
)

func SensorConfigContainerDir(name string) string {
	return path.Join(ConfigDir(), "container", name)
}

func SensorConfigFilePath(sensorConfig *ocmsc.SensorConfig) string {
	return path.Join(SensorConfigContainerDir(strings.ToLower(sensorConfig.Crawler.MetaCrawlerContainerKey)), sensorConfig.SensorID.String())
}
